OCRCInterface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.net
Class OCRCInterface

    java.lang.Object
      org.dvb.net.rc.RCInterface
          org.ocap.net.OCRCInterface

    public class OCRCInterface

extends RCInterface

This class models a return channel interface for use in receiving and transmitting IP packets over an OCAP-compliant return channel. This class does not model any concept of connection. Hence interfaces represented by this class are permanently connected. The getType() method inherited from org.dvb.net.rc.RCInterface SHALL return TYPE_CATV when called on an instance of this class.

Author:
  Mark S. Millard (Vidiom Systems) (version 1.0), Shigeaki Watanabe (Panasonic) (version I10)

Field Summary
`static int` | `SUBTYPE_CATV_DOCSIS` Constant to indicate a DOCSIS return channel.
`static int` | `SUBTYPE_CATV_OOB` Constant to indicate an OOB return channel, either SCTE 55-2 or SCTE 55-1, accessed through the CableCARD interface as specified in CCIF 2.0.

Fields inherited from class org.dvb.net.rc.RCInterface
`TYPE_CATV, TYPE_DECT, TYPE_ISDN, TYPE_LMDS, TYPE_MATV, TYPE_OTHER, TYPE_PSTN, TYPE_RCS, TYPE_UNKNOWN`

Method Summary
`int` | `getSubType()` Return the type of cable return channel.

Methods inherited from class org.dvb.net.rc.RCInterface
`getDataRate, getType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUBTYPE_CATV_DOCSIS

    public static final int SUBTYPE_CATV_DOCSIS

  Constant to indicate a DOCSIS return channel.

  See Also:
    Constant Field Values

### SUBTYPE_CATV_OOB

    public static final int SUBTYPE_CATV_OOB

  Constant to indicate an OOB return channel, either SCTE 55-2 or SCTE 55-1, accessed through the CableCARD interface as specified in CCIF 2.0.

  See Also:
    Constant Field Values

Method Detail

### getSubType

    public int getSubType()

  Return the type of cable return channel.

  Returns:
    the type of return channel represented by this object encoded as one of the constants (SUBTYPE_CATV_DOCSIS or SUBTYPE_CATV_OOB) defined in this class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD